package appService

import (
	"firefly-launcher/pkg/constant"
	"time"

	"github.com/wailsapp/wails/v3/pkg/application"
)

type AppService struct{}

func (a *AppService) GetCurrentLauncherVersion() (bool, string) {
	return true, constant.CurrentLauncherVersion
}

func (a *AppService) CloseAppAfterTimeout(timeout int) (bool, string) {
	go func() {
		time.Sleep(time.Duration(timeout) * time.Second)
		application.Get().Quit()
	}()
	return true, ""
}